/*
 * org.openmicroscopy.vis.piccolo.PParameterNode
 *
 *------------------------------------------------------------------------------
 *
 *  Copyright (C) 2003 Open Microscopy Environment
 *      Massachusetts Institute of Technology,
 *      National Institutes of Health,
 *      University of Dundee
 *
 *
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public
 *    License along with this library; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *------------------------------------------------------------------------------
 */




/*------------------------------------------------------------------------------
 *
 * Written by:    Harry Hochheiser <hsh@nih.gov>
 *
 *------------------------------------------------------------------------------
 */




package org.openmicroscopy.vis.piccolo;
import edu.umd.cs.piccolo.PNode;


/** 
 *
 * This is a convenience class that essentially serves as a type-checking aide,
 * insuring that children of a certain node are all instnaces of 
 * {@link PFormalParameter}. This is used in {@link PModule} to define a 
 * node that is the parent of all of the {@link PFormalParamater} nodes, and to
 * simplify related event processing. 
 *  
 * @author Harry Hochheiser
 * @version 2.1
 * @since OME2.1
 * @see PPaletteEventHandler
 * @see PChainLibraryEventHandler
 */
public class PParameterNode extends PNode {
	


	public PParameterNode() {
		super();
	}
	
	public void addChild(PFormalParameter p) {
		super.addChild(p);
	}
}