# OME/Tests/DatabaseTest.pl

#-------------------------------------------------------------------------------
#
# Copyright (C) 2003 Open Microscopy Environment
#       Massachusetts Institute of Technology,
#       National Institutes of Health,
#       University of Dundee
#
#
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#-------------------------------------------------------------------------------




#-------------------------------------------------------------------------------
#
# Written by:    Douglas Creager <dcreager@alum.mit.edu>
#
#-------------------------------------------------------------------------------


use OME::Session;
use OME::SessionManager;

print "\nOME Test Case - Database Access\n";
print "-------------------------------\n";

my $manager = OME::SessionManager->new();
my $session = $manager->TTYlogin();
my $factory = $session->Factory();

my $user = $session->User();

print "$user\n";
print $user->id()," ",$user->FirstName()," ",$user->LastName(),"\n";

my $group = $user->Group();

print "$group\n";
print $group->id()," ",$group->Name(),"\n";


my @users = $factory->findAttributes("Experimenter");

foreach my $user (@users) {
    print "$user\n";
    print $user->id()," ",$user->FirstName()," ",$user->LastName(),"\n";
}

exit 0;
